callsim.king <-  function () {

  results <- data.frame(matrix(0,nrow=48,ncol=3))
  names(results) <- c("deltabone","tstat","sigma")
  
  betalist <- list(c(0.5,0.5),c(0.5,0.85),c(0.85,0.85),c(0.85,0.25))
  sigmalist <- list(c(0.173,0.173),c(0.141,0.2),c(0.224,0.1))
  rholist <- c(0,-0.4,-0.9,0.6)

  i <- 1
  for (betacount in 1:4) {
    for (sigmacount in 1:3) {
      for (rhocount in 1:4) {
        usebeta <- betalist[[betacount]]
        usesigma <- sigmalist[[sigmacount]]
        userho <- rholist[rhocount]

        cat ("iteration ",i,"\n")
        results[i,] <- sim.king(usebeta[1],usebeta[2],usesigma[1],usesigma[2],userho)
        i <- i+1
      }
    }
  }
  results
}

